package com.pixelized.shared.lwa.model.inventory

import kotlinx.serialization.Serializable

@Serializable
data class InventoryJsonV1(
    override val characterSheetId: String,
    val purse: PurseJson,
    val items: List<ItemJson>,
) : InventoryJson {

    @Serializable
    data class PurseJson(
        val gold: Int,
        val silver: Int,
        val copper: Int,
    )

    @Serializable
    data class ItemJson(
        val inventoryId: String,
        val itemId: String,
        val count: Float,
        val equipped: Boolean?,
    )
}